Scilab Function
Last update : 17/06/2004

lusolve - solveur de système linéaire creux

### Calling Sequence

  `lusolve(hand,b)`
  `lusolve(A,b)`

### Parameters

- `b` : matrice réelle pleine
- `A` : matrice réelle carrée creuse inversible
- `hand` : pointeur vers des facteurs L,U creux déjà calculés (sortie de lufact)

### Description

`x=lusolve(hand,b)` résout le système linéaire `A*x = b`, où `hand` est obtenu par un appel préliminaire à `lufact` :`[hand,rk]=lufact(A)`.

`x=lusolve(A,b)` résout le système linéaire creux `A*x = b`

### Examples

        non_zeros=[1,2,3,4];rows_cols=[1,1;2,2;3,3;4,4];
        sp=sparse(rows_cols,non_zeros);
        [h,rk]=lufact(sp);x=lusolve(h,[1;1;1;1]);ludel(h)
        rk,sp*x

        non_zeros=[1,2,3,4];rows_cols=[1,1;2,2;3,3;4,4];
        sp=sparse(rows_cols,non_zeros);
        x=lusolve(sp,-ones(4,1));
        sp*x

### See Also

`sparse`, `lufact`, `slash`, `backslash`,